package com.chuanxia.mcp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chuanxia.mcp.bean.dto.OperatorQueryDto;
import com.chuanxia.mcp.bean.model.CdnDomainOperator;
import com.chuanxia.mcp.bean.vo.CdnOperatorVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface CdnDomainOperatorMapper extends BaseMapper<CdnDomainOperator> {
    IPage<CdnOperatorVo> listPage(IPage<CdnOperatorVo> page, @Param("queryDto") OperatorQueryDto queryDto);
}
