package com.chuanxia.mcp.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chuanxia.mcp.bean.dto.OperatorQueryDto;
import com.chuanxia.mcp.bean.model.CdnDomainOperator;
import com.chuanxia.mcp.bean.vo.CdnOperatorVo;
import com.chuanxia.mcp.mapper.CdnDomainOperatorMapper;
import com.chuanxia.mcp.service.CdnDomainOperatorService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
@Slf4j
public class CdnDomainOperatorServiceImpl extends ServiceImpl<CdnDomainOperatorMapper, CdnDomainOperator> implements CdnDomainOperatorService {
    private final CdnDomainOperatorMapper domainOperatorMapper;

    @Override
    public IPage<CdnOperatorVo> listPage(IPage<CdnOperatorVo> page, OperatorQueryDto queryDto) {
        return domainOperatorMapper.listPage(page,queryDto);
    }
}
