package com.chuanxia.mcp.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("分页查询对象")
public class DomainTimeRuleQueryDto extends PageQueryBaseDto {
    @ApiModelProperty("域名")
    private String domain;
    @ApiModelProperty("时间规则-开始时间")
    private Integer startTime;
    @ApiModelProperty("时间规则-结束时间")
    private Integer endTime;

}
