package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Administrator
 */
@Data
@TableName("cdn_city")
@ApiModel("城市")
public class CdnCity {
    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("城市名")
    @TableField("cname")
    private String cname;
    @ApiModelProperty("上级城市id")
    @TableField("parent_id")
    private Integer parentId;
    @TableField("ctype")
    @ApiModelProperty("城市类型")
    private Integer ctype;
}
