package com.chuanxia.mcp.bean.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 时间规则实体
 *
 * @author Administrator
 */
@Data
@TableName("cdn_time_rule")
@ApiModel("时间规则")
public class CdnTimeRule {
    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("开始时间")
    @TableField("start_time")
    private Integer startTime;
    @ApiModelProperty("结束时间")
    @TableField("end_time")
    private Integer endTime;
    @TableField("create_time")
    private Date createTime;
    @TableField("create_by")
    private Integer createBy;
}
